Bug 185756 - linux/if_vlan.h does not include vlan packet header
linux/if_vlan.h does not include vlan packet header
Product: Fedora
Classification: Fedora
Component: glibc-kernheaders (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-03-17 12:05 EST by David Acker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-18 09:00:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Acker 2006-03-17 12:05:31 EST
Description of problem:
The version of linux/if_vlan.h put in /user/include by glibc-kernheaders does
not include the header structure for an ethernet packet with a VLAN tag.  The
kernel version of if_vlah.h does. It makes sense to include this since the user
space if_ether.h includes the ethernet packet header.
This header can be read by a user space program use raw sockets (PF_PACKET,

Version-Release number of selected component (if applicable):
seen in glibc-kernheaders-2.4-9.1.94 through glibc-kernheaders-3.0-5.2.
Comment 1 David Acker 2006-03-20 08:45:59 EST
I contacted the maintainer for the kernel version of if_vlan.h and he agreed to
move the appropriate defines out of the ifdef __KERNEL__ section they are
currently in.
Comment 2 David Acker 2006-04-05 09:57:13 EDT
At the maintainer's request I have submitted a patch to netdev.
Comment 3 David Acker 2006-04-18 09:00:12 EDT
Second post of patch was here:

Third post of patch was here:

The end result is that the patch was not accepted.  It is believed that this
belongs in a pure user space header like in a glibc header.  Thus I am closing
this bug.

Note You need to log in before you can comment on or make changes to this bug.